Subject: Re: bug#38544: gparted segfaults

From: raingloom <[email-masked]>
Date: Sat, 04 Jan 2020 19:35:56 +0100

On Mon, 2019-12-09 at 11:10 +0100, Ricardo Wurmus wrote:
> This segfaults:
> 
>     sudo /gnu/store/yzxyxnxja4y1riwh3mrqrvb7h4vhxlqb-gparted-
> 1.0.0/bin/gparted
> 
> --8<---------------cut here---------------start------------->8---
> …
> (gpartedbin:5364): Gdk-CRITICAL **: 11:06:10.219:
> gdk_cairo_surface_create_from_pixbuf: assertion 'GDK_IS_PIXBUF
> (pixbuf)' failed
> 
> (gpartedbin:5364): GLib-GObject-CRITICAL **: 11:06:10.219:
> g_object_unref: assertion 'G_IS_OBJECT (object)' failed
> 
> (gpartedbin:5364): Gtk-WARNING **: 11:06:10.273: Error loading theme
> icon 'drive-harddisk' for stock: Icon 'drive-harddisk' not present in
> theme Adwaita
> 
> (gpartedbin:5364): Gtk-WARNING **: 11:06:10.273: Error loading theme
> icon 'image-missing' for stock: Failed to load
> /org/gtk/libgtk/icons/24x24/status/image-missing.png: Unrecognized
> image file format
> /gnu/store/yzxyxnxja4y1riwh3mrqrvb7h4vhxlqb-gparted-
> 1.0.0/bin/gparted: line 202:  5364 Segmentation fault      $BASE_CMD-
> -8<---------------cut here---------------end--------------->8---
> 
> This does not segfault:
> 
>     sudo -E /gnu/store/yzxyxnxja4y1riwh3mrqrvb7h4vhxlqb-gparted-
> 1.0.0/bin/gparted
> 
> The problem here is that when run as root but without the environment
> of
> the current user gparted fails to find the image loader modules.
> 
> --
> Ricardo

I tried fixing this by adding the wrapper step from glib-or-gtk but
that didn't do anything.